<?php
 //ini_set('display_errors',1);
session_start();
require_once ("../../config/Cado.php");
require_once ("../compra/cCompra.php");
$oCompra = new cCompra();
require_once ("../venta/cVenta.php");
$oVenta = new cVenta();
require_once ("../notacredito/cNotacredito.php");
$oNotacredito = new cNotacredito();
require_once("../tipocambio/cTipocambio.php");
$oTipocambio = new ctipocambio();
$fec = date('Y-m-d');
require_once ("../formatos/formato.php");
require_once ("../formatos/fechas.php");
?>
<style>
	div#div_tabla { margin: 0 0; }
	div#div_tabla table { margin: 0 0; border-collapse: collapse; width: 100%; }
	div#div_tabla table td, div#div_tabla table th { border: 1px solid #eee; padding: 2px 3px; font-size:15px; }
	div#div_tabla table th { height:18px }
	div#div_tabla table td { height:17px }
</style>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
		    <div class="card">
				<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:5px;">
	
		<!--
		<span style="cursor:pointer" onclick="pdf('<?php echo $_POST['mes']?>','<?php echo $_POST['anio']?>')" class="btn btn-primary"> <i class="fas fa-file-pdf"></i> DESCARGAR E IMPRIMIR PDF</span>
		-->
		<span style="cursor:pointer" id="btn_excel" class="btn btn-success"> <i class="fas fa-file-excel"></i> DESCARGAR EXCEL</span>
		<!--
		<span style="cursor:pointer" onclick="generar_txt_compra('<?php echo $_POST['mes']?>','<?php echo $_POST['anio']?>')" title="Descargar en formato .TXT COMPRAS" class="btn btn-primary"> <i class="fas fa-file"></i></span>
		<span style="cursor:pointer" onclick="generar_txt_venta('<?php echo $_POST['mes']?>','<?php echo $_POST['anio']?>')" title="Descargar en formato .TXT VENTAS" class="btn btn-danger"> <i class="fas fa-file"></i></span>
		-->
	<!--	<a  class="btn btn-sm" style="background-color:#00897b;color:#fff;text-align:left" 
		href="../../files/compra/compraconsolidadasfecha_impcpe_doc.php?fec1=<?php echo $_POST['fec1'] ?>&fec2=<?php echo $_POST['fec2']?>
		&agrufec=<?php echo $_POST['agrufec']?>&agruemp=<?php echo $_POST['agruemp']?>&agrupro=<?php echo $_POST['agrupro']?>" 
		target="_blank"><i class="fa fa-file-pdf-o"></i>  DESCARGAR E IMPRIMIR PDF</a>
	-->
<?php 
	$tot = 0;
	
	$dts1 =	$oCompra->mostrar_xperiodo($_POST['mes'],$_POST['anio'],'1');
	while($dt = mysqli_fetch_array($dts1)){
				
	if($dt['tb_moneda_id']==2){
	$rs = $oTipocambio->consultar(fecha_mysql($dt['tb_compra_fec']));  
	$r = mysqli_fetch_array($rs);	
	$tipcam = formato_money3($r['tb_tipocambio_dolsun']);
	}
	else{
	$tipcam = '1.00';	
	}
	
	
	$tot += $dt['tb_compra_tot'] * $tipcam;
	}
	
	$totvf = $tot;
	$totvalvenvf = $totvf/1.18;
	$totigvvf = $totvalvenvf*0.18;
	
	
	
	
	//NOTAS DE CREDITOO
	$tot = 0;
	 
	$dts1 =	$oNotacredito->mostrar_xperiodo($_POST['mes'],$_POST['anio'],'1');
	while($dt = mysqli_fetch_array($dts1)){
				
	if($dt['tb_moneda_id']==2){
	$rs = $oTipocambio->consultar(fecha_mysql($dt['tb_compra_fec']));  
	$r = mysqli_fetch_array($rs);	
	$tipcam = formato_money3($r['tb_tipocambio_dolsun']);
	}
	else{
	$tipcam = '1.00';	
	}
	
	$tot += $dt['tb_notacredito_tot'] * $tipcam;
	
	}
	
	$totvfnc = $tot;
	$totvalvenvfnc = $totvfnc / 1.18;
	$totigvvfnc = $totvalvenvfnc * 0.18;	
	
	
	//// VENTAAAAAAAS
	
	$tot = 0;
	
	$dts1 =	$oVenta->mostrar_xperiodo($_POST['mes'],$_POST['anio'],'1');
	while($dt = mysqli_fetch_array($dts1)){
				
	if($dt['tb_moneda_id']==2){
	$rs = $oTipocambio->consultar(fecha_mysql($dt['tb_compra_fec']));  
	$r = mysqli_fetch_array($rs);	
	$tipcam = formato_money3($r['tb_tipocambio_dolsun']);
	}
	else{
	$tipcam = '1.00';	
	}
	
	$tot += $dt['tb_venta_tot'] * $tipcam;
	
	}
	
	$totvfv = $tot - $totvfnc;
	$totvalvenvfv = $totvfv / 1.18;
	$totigvvfv = $totvalvenvfv * 0.18;
	
	
	
 $difvfvalven = $totvalvenvf - $totvalvenvfv;
 $difvfigv = $totigvvf - $totigvvfv;
 $difvftot = $totvf - $totvfv;
 $difjvvalven = $totvalvenjv - $totvalvenjvv;
 $difjvigv = $totigvjv - $totigvjvv;
 $difjvtot = $totjv - $totjvv;
 
 $difidvalven = $totvalvenid - $totvalvenidv;
 $difidigv = $totigvid - $totigvidv;
 $difidtot = $totid - $totidv;
 
 
?>
	<br/>
	<br/>
  <div class="table-responsive" id="div_tabla">
			 	
		<table>
			<tr class="header_row" style="font-weight:bold;font-size:16px;">
				<th class="bg-yellow" colspan = '3' >COMPRAS</th>
				<th class="bg-green" colspan = '3'  >VENTAS</th>
				<th class="bg-blue" colspan = '3' >DIFERENCIAS</th>
				<th class="bg-red" colspan = '2' >IGV TOTAL</th>
			</tr>
			
			<tr class="header_row" style="font-weight:bold;font-size:16px;">
				<th>VAL. IMP. GRAB.</th>
				<th>IGV</th>
				<th>TOTAL</th>
				<th>VAL. IMP. GRAB.</th>
				<th>IGV</th>
				<th>TOTAL</th>
				<th>VAL. IMP. GRAB.</th>
				<th>IGV</th>
				<th>TOTAL</th>
				<th>ANTERIOR</th>
				<th>TOTAL</th>	
			</tr>
			
			<tr>			
			<td align="right" ><?php echo formato_money($totvalvenvf) ?></td>			
			<td align="right" ><?php echo formato_money($totigvvf) ?></td>			
			<td align="right" ><?php echo formato_money($totvf) ?></td>	
			<td align="right" ><?php echo formato_money($totvalvenvfv) ?></td>			
			<td align="right" ><?php echo formato_money($totigvvfv) ?></td>			
			<td align="right" ><?php echo formato_money($totvfv) ?></td>
			<td align="right" ><?php echo formato_money($difvfvalven) ?></td>			
			<td align="right" ><?php echo formato_money($difvfigv) ?></td>			
			<td align="right" ><?php echo formato_money($difvftot) ?></td>	
										
			</tr>
				
			<tr>
			<td colspan="10">  </td>
			<td colspan="2"> <span class="btn btn-primary" style="cursor:pointer" onclick="verdetalles('<?php echo $_POST['mes']?>','<?php echo $_POST['anio']?>');">VER DETALLES</span> </td>
			</tr>
			
		</table>
		
		<input type="hidden" id="hdd_vista" />
	    </div>
		
		<div id="div_tabladetalle"> </div>
	
	
	
	</div>
  </div>
</div>
</div>
</div>
</section>
<script type="text/javascript">
function verdetalles(mes,anio)
{
			$('#div_mensaje_dialog').modal('show');
			$.ajax({
				type: "POST",
				url: "../contableconsolidado_cst/contableconsolidado_cst_tabladetalle.php",
				async:true,
				dataType: "html",                      
				data: ({
					mes :mes,
					anio :anio
				}), 
				beforeSend: function() {
						var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				$('.div_mensaje').html(div);
					$('#div_tabladetalle').addClass("ui-state-disabled");
				},
				success: function(html){
					$('#div_tabladetalle').html(html);
				},
				complete: function(){			
					$('#div_tabladetalle').removeClass("ui-state-disabled");
					$('#div_mensaje_dialog').modal('hide');
					$("#hdd_vista").val('1');
				}
			});     
}
function generar_txt_compra(mes,anio){
			$('#div_mensaje_dialog').modal('show');
			$.ajax({
				type: "POST",
				url: "../contableconsolidado_cst/contableconsolidado_cst_txt_compra.php",
				async:true,
				dataType: "json",                      
				data: ({
					anio : anio,
					mes : mes
				}), 
				beforeSend: function() {
						var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				$('.div_mensaje').html(div);
					
				},
				success: function(html){
					
				},
				complete: function(){							
					$('#div_mensaje_dialog').modal('hide');
				}
			});     
}
		
function generar_txt_venta(mes,anio){
			$('#div_mensaje_dialog').modal('show');
			$.ajax({
				type: "POST",
				url: "../contableconsolidado_cst/contableconsolidado_cst_txt_venta.php",
				async:true,
				dataType: "json",                      
				data: ({
					anio : anio,
					mes : mes
				}), 
				beforeSend: function() {
						var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				$('.div_mensaje').html(div);
					
				},
				success: function(html){
					
				},
				complete: function(){							
					$('#div_mensaje_dialog').modal('hide');
				}
			});     
}
		
function pdf(mes,anio){
	
	vista = $("#hdd_vista").val();
	
	abrirEnPestana('../../files/contable/contableconsolidadas_impcpe_doc.php?mes='+mes+'&anio='+anio+'&vista='+vista);
}
function abrirEnPestana(url) {
		var a = document.createElement("a");
		a.target = "_blank";
		a.href = url;
		a.click();
}
$("#btn_excel").click(function(){
			anio = $("#cmb_fil_per_anio").val();
			mes = $("#cmb_fil_per_mes").val();		
			abrirEnPestana('../contableconsolidado_cst/contableconsolidado_cst_excel.php?anio='+anio+'&mes='+mes);
});
</script>